# telegram.ChatLocation

class telegram.ChatLocation(location, address, **_kwargs)

  Bases: `telegram.base.TelegramObject`

  This object represents a location to which a chat is connected.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `location` is equal.

  Parameters

    - location (`telegram.Location`) – The location to which the supergroup is connected. Can’t be a live location.

    - address (`str`) – Location address; 1-64 characters, as defined by the chat owner

    - **kwargs (`dict`) – Arbitrary keyword arguments.

  location

    The location to which the supergroup is connected.

    Type

      `telegram.Location`

  address

    Location address, as defined by the chat owner

    Type

      `str`

  classmethod de_json(data, bot)

    See `telegram.TelegramObject.de_json()`.